# Class: Cri::ParamDefinition

Inherits:
  Object
  - Object
  - Cri::ParamDefinition
  show all

Defined in:
  lib/cri/param_definition.rb

## Overview

The definition of a parameter.

## Instance Attribute Summary collapse

- #name ⇒ Object readonly

  Returns the value of attribute name.

- #transform ⇒ Object readonly

  Returns the value of attribute transform.

## Instance Method Summary collapse

- #initialize(name:, transform:) ⇒ ParamDefinition constructor

  A new instance of ParamDefinition.

## Constructor Details

### #initialize(name:, transform:) ⇒ `ParamDefinition`

Returns a new instance of ParamDefinition.

    9
    10
    11
    12

    # File 'lib/cri/param_definition.rb', line 9

    def initialize(name:, transform:)
      @name = name
      @transform = transform
    end

## Instance Attribute Details

### #name ⇒ `Object` (readonly)

Returns the value of attribute name.

    6
    7
    8

    # File 'lib/cri/param_definition.rb', line 6

    def name
      @name
    end

### #transform ⇒ `Object` (readonly)

Returns the value of attribute transform.

    7
    8
    9

    # File 'lib/cri/param_definition.rb', line 7

    def transform
      @transform
    end